import { NgModule } from '@angular/core';
import { CartoModule } from '../../carto/carto.module';
import { SharedModule } from '../../shared/shared.module';
import { BaseSkillsChoiceComponent } from './base-skills/base-skills-choice/base-skills-choice.component';
import { BaseSkillsComponent } from './base-skills/base-skills.component';
import { EquipmentAccessChoiceComponent } from './equipment-access/equipment-access-choice/equipment-access-choice.component';
import { EquipmentAccessComponent } from './equipment-access/equipment-access.component';
import { EquipmentBuyTypeComponent } from './equipment-buy/equipment-buy-type/equipment-buy-type.component';
import { EquipmentBuyComponent } from './equipment-buy/equipment-buy.component';
import { LoginModalComponent } from './global-components/login-modal/login-modal.component';
import { MediationRecapComponent } from './global-components/mediation-recap/mediation-recap.component';
import { MultiRadioFormComponent } from './global-components/multi-radio-form/multi-radio-form.component';
import { NavigationComponent } from './global-components/navigation/navigation.component';
import { NeedsSelectionComponent } from './global-components/needs-selection/needs-selection.component';
import { PrintHeaderComponent } from './global-components/print-header/print-header.component';
import { StructureOrientatorComponent } from './global-components/structure-orientator/structure-orientator.component';
import { AccompanimentTypeComponent } from './online-demarch/accompaniment-type/accompaniment-type.component';
import { MediationBeneciaryInfoComponent } from './online-demarch/mediation-beneciary-info/mediation-beneciary-info.component';
import { MediationHoursSelectionComponent } from './online-demarch/mediation-hours-selection/mediation-hours-selection.component';
import { OnlineDemarchComponent } from './online-demarch/online-demarch/online-demarch.component';
import { OnlineDemarchFormComponent } from './online-demarch/onlineDemarch-form.component';
import { OrientationFormViewComponent } from './orientation-form-view.component';
import { OrientationRoutingModule } from './orientation-routing.module';
import { OrientationCommentsComponent } from './orientation-structure-list/orientation-comments/orientation-comments.component';
import { OrientationStructureAddressComponent } from './orientation-structure-list/orientation-structure-address/orientation-structure-address.component';
import { OrientationStructureListComponent } from './orientation-structure-list/orientation-structure-list.component';
import { MediationLanguageSelectionComponent } from './online-demarch/mediation-language-selection/mediation-language-selection.component';
import { SelectComponent } from './global-components/select/select.component';

@NgModule({
  declarations: [
    OrientationFormViewComponent,
    NeedsSelectionComponent,
    NavigationComponent,
    MultiRadioFormComponent,
    OnlineDemarchComponent,
    AccompanimentTypeComponent,
    MediationBeneciaryInfoComponent,
    MediationHoursSelectionComponent,
    MediationRecapComponent,
    OnlineDemarchFormComponent,
    PrintHeaderComponent,
    LoginModalComponent,
    OrientationStructureListComponent,
    OrientationStructureAddressComponent,
    EquipmentBuyTypeComponent,
    EquipmentBuyComponent,
    EquipmentAccessChoiceComponent,
    BaseSkillsComponent,
    StructureOrientatorComponent,
    OrientationCommentsComponent,
    EquipmentAccessComponent,
    BaseSkillsChoiceComponent,
    MediationLanguageSelectionComponent,
    SelectComponent,
  ],
  imports: [OrientationRoutingModule, CartoModule, SharedModule],
})
export class OrientationModule {}
